/* 
Theme Name:		 BMG Calculator
Theme URI:		 
Description:	 
Author:			 KB
Author URI:		
Template:		 blankslate
Version:		 1.0.0
Text Domain:	 bmg-calculator
*/

:root {
    --teal: #1c9aa6;
    --dark-grey: #333333;
    --light-grey: #ededed;
    --medium-teal: #5baeb7;
    --navy: #1f3664;
    --light-teal: #d0e8e0;
    --white: #ffffff;
    /*IF CHANGING COLORS, LOOK FOR RGBA VALUES IN THE CSS FILES*/
}

/*General & Header*/
html {
    font-size: 62.5%;
    font-family: "canada-type-gibson";
    scroll-behavior: smooth;
}

body {
    background-size: cover !important;
}

body .site-background {
    position: absolute;
    top: 0;
    left: 0;
    min-width: 100vw;
    width: 100vw;
    min-height: 100vh;
    height: auto;
}

.icon svg path {
    fill: currentColor;
}
.icon svg {
    width: 1em;
    height: 1em;
    vertical-align: middle;
    display: inline-block;
    transform: translateY(-1px);
}
.icon {
    display: inline-block;
    line-height: 1;
}
.logo-img {
    height: auto;
    width: 450px;
    max-width: 50%;
    margin: 0 auto;
    display: block;
    margin-top: -1.5vw;
    margin-bottom: 0.75vw;
}
main#content .container {
    margin-top: -1rem;
}

input {
    outline: none;
    border: none;
    text-align: center;
}
header {
    display: none;
}
footer {
    width: 100%;
    bottom: 0;
    position: fixed;
}
#copyright {
    color: #1c9aac;
    background: white;
}

.col-lg-7 {
    margin: 0 auto;
}

.header-img {
    position: relative;
    left: 50%;
    transform: translate(-50%, 1rem);
    width: 25vw;
    height: auto;
    background: var(--medium-teal);
    padding: 20px;
    border-radius: 20px;
}

main#content .container {
    max-width: unset !important;
    padding: 0 !important;
    overflow: hidden;
}
.container-fluid {
    /*	margin-top: -2rem;*/
}

/*Inputs*/
form {
    color: var(--teal);
    margin-top: 3rem;
}
.form-carousel {
    position: relative;
    height: 20rem;
    width: 80%;
    margin: 0 auto;
    margin-top: 1.5rem;
    overflow: hidden;
}
#gform_fields_6 .inputs {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(50vw, -50%);
    background: linear-gradient(45deg, #fff4da, #ffe9b5);
    width: 100%;
    border-radius: 1.5rem;
    box-shadow: 1rem 1rem 1rem rgb(0 0 0 / 10%);
    overflow: hidden;
    display: block;
    transition: transform 0.25s cubic-bezier(0.33, 1, 0.68, 1);
    padding-bottom: 1rem;
}
#gform_fields_6 .inputs:first-child {
    transform: translate(-50%, -50%);
}
#gform_fields_6 .inputs label {
    background: var(--teal);
    color: white;
    height: 6rem;
    line-height: 1.2;
    padding: 0;
    font-size: 5rem !important;
    margin: 1rem;
    margin-bottom: 0.5rem;
    border-radius: 1rem 1rem 0 0;
    width: calc(100% - 2rem);
    text-align: center;
    letter-spacing: 0.2rem;
}
#gform_fields_6 .inputs .ginput_container {
    border-bottom: none;
    outline: none;
    height: 70%;
    position: relative;
}
#gform_fields_6 .inputs input {
    border-bottom: none;
    outline: none;
    margin: 1rem;
    background: white;
    width: calc(100% - 2rem);
    height: 11.5rem;
    border-radius: 0 0 1rem 1rem;
    font-size: 8rem;
    text-align: center;
    color: var(--teal);
    margin-top: 0;
    margin-bottom: 0;
}
#gform_fields_6 .inputs input:focus {
    border: 0.2rem solid var(--teal);
}
#gform_fields_6 .inputs input.invalid-entry {
    border: 0.2rem solid red;
}

/*Outputs*/
.main-box {
    position: relative;
    width: 80%;
    height: 45rem;
    margin: 1rem auto;
    overflow: hidden;
    border-radius: 1rem;
    padding: 1rem;
    text-align: center;
    background: linear-gradient(45deg, #fff4da, #ffe9b5);
    box-shadow: 1rem 1rem 1rem rgb(0 0 0 / 10%);
}
.outputs {
    display: none;
    position: absolute;
    width: calc(100% - 2rem);
    height: calc(100% - 2rem);
    flex-direction: column;
    justify-content: space-between;
}
.outputs .ginput_container {
    height: 100%;
}
.outputs .result {
    background: white;
    margin: 0;
    height: 5.5rem;
    overflow: hidden;
    position: relative;
    border-radius: 1rem;
}
.outputs .result label {
    color: white;
    background: var(--teal);
    width: 70%;
    height: 100%;
    float: left;
    display: block;
    font-size: 3rem;
    line-height: 1.66;
    padding: 0 1rem;
    text-align: right;
    font-family: racing sans one, sans-serif;
    border-right: 0.5rem solid #ffe9b5;
    transition: padding-right 0.25s ease-in-out, letter-spacing 0.25s ease-in-out, background 0.3s ease-in-out, color 0.3s ease-in-out;
}
.outputs .result:hover label {
    background: white;
    color: var(--teal) !important;
}
.outputs .result input {
    color: white;
    background: var(--teal);
    display: block;
    width: 30%;
    height: 100%;
    float: left;
    margin: 0;
    outline: none;
    font-size: 3rem !important;
    z-index: 0;
    position: relative;
    transition: background 0.3s ease-in-out, color 0.3s ease-in-out;
}
.outputs .result:hover input {
    background: white;
    color: var(--teal) !important;
}

/*Progress Bar*/
.progress-div {
    width: calc(100% - 2rem);
    height: calc(100% - 2rem);
    text-align: center;
    position: absolute;
    overflow: hidden;
    z-index: 2;
    background: url("https://bmgcalc.thinkbig.marketing/dev/wp-content/uploads/2021/12/calc_sky.jpg");
    background-size: cover;
}
.progress-text {
    color: white;
    font-size: 7rem;
    position: absolute;
    bottom: 4rem;
    left: 50%;
    transform: translateX(-50%);
    padding: 0.5rem 1rem;
    border-radius: 0.5rem;
    opacity: 0;
    letter-spacing: 0.3rem;
}
.ocean {
    height: 80px; /* change the height of the waves here */
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    transition: bottom 1s ease-in-out;
}
.wave {
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 800 88.7'%3E%3Cpath d='M800 56.9c-155.5 0-204.9-50-405.5-49.9-200 0-250 49.9-394.5 49.9v31.8h800v-.2-31.6z' fill='rgb(28, 154, 166)'/%3E%3C/svg%3E");
    position: absolute;
    width: 200%;
    height: 100%;
    animation: wave 5s -3s linear infinite;
    transform: translate3d(0, 0, 0);
    opacity: 0.8;
}
.wave:nth-of-type(2) {
    bottom: 0;
    animation: wave 9s linear reverse infinite;
    opacity: 0.5;
}
.wave:nth-of-type(3) {
    bottom: 0;
    animation: wave 10s -1s linear infinite;
    opacity: 0.5;
}
.marlin-swimming {
    transform: translate(-100%, 100%) rotate(-90deg);
    animation: marlinX 2s linear infinite;
    width: 30rem;
    height: 19.2rem;
}
.marlin-blue {
    filter: invert(43%) sepia(90%) saturate(410%) hue-rotate(137deg) brightness(98%) contrast(87%);
}
.marlin-container {
    position: absolute;
    bottom: 0px;
    left: 0;
    z-index: -1;
    animation: marlinY 2s cubic-bezier(0.65, 0, 0.35, 1) infinite;
}
.marlin-super-container {
    position: relative;
    width: 100%;
    height: 100%;
}
.ocean-bottom {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0px;
    background: rgba(28, 154, 166, 0.95);
    transition: height 1s ease-in-out;
}
@keyframes marlinX {
    0% {
        margin-left: -10vw;
    }
    100% {
        margin-left: 100vw;
        transform: translate(-100%, 100%) rotate(90deg);
    }
}
@keyframes marlinY {
    0% {
        bottom: -5rem;
    }
    50% {
        bottom: 30rem;
    }
    100% {
        bottom: -5rem;
    }
}
@keyframes wave {
    0% {
        transform: translateX(0);
    }
    50% {
        transform: translateX(-25%);
    }
    100% {
        transform: translateX(-50%);
    }
}

/*Carousel Arrows*/
.prev-arrow {
    position: absolute;
    top: 1.5rem;
    left: 1.5rem;
    display: none;
}
.next-arrow {
    position: absolute;
    top: 1.5rem;
    right: 1.5rem;
}
.arrow {
    background: white;
    color: var(--teal);
    border: 0.2rem solid transparent;
    padding: 1.3rem;
    font-size: 2rem;
    border-radius: 1000px;
    z-index: 1000;
    box-shadow: 0.3rem 0.3rem 1rem rgb(0 0 0 / 10%);
}
.arrow:hover {
    border: 0.2rem solid white;
    background: var(--teal);
    color: white;
    cursor: pointer;
}
.arrow i {
    margin: 0 0.2rem;
    transition: all 0.3s ease-out;
}
.arrow:first-child:hover i {
    padding-right: 1rem;
}
.arrow:not(:first-child):hover i {
    padding-left: 1rem;
}

/*Tabs*/
.tab-navigation {
    width: 80%;
    height: 3.4rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin: 1rem auto;
}
.output-tab {
    width: 32.5%;
}
.input-tab {
    width: 19%;
}
.tab {
    height: 100%;
    background: linear-gradient(45deg, #fff4da, #ffe9b5);
    border-radius: 0.3rem;
    cursor: pointer;
    text-align: center;
    font-size: 2.6rem;
    line-height: 0.95;
    font-weight: 900;
    color: var(--teal);
    padding: 0.4rem 0;
    box-shadow: 3px 3px 3px rgb(0 0 0 / 30%);
}
.tab-selected {
    background: var(--teal) !important;
    color: white;
}
.tab:not(.tab-selected) {
    text-shadow: 1px 1px 1px white;
}
.tab i {
    margin-right: 2rem !important;
    font-size: 0.9em;
}

/*Email Popup*/
#gform_fields_6 .email label {
    background: var(--teal);
    color: white;
    display: block;
    font-size: 4rem;
    height: 8rem;
    line-height: 2;
    text-align: center;
    margin-bottom: 0;
}
#gform_fields_6 .email .ginput_container input {
    height: 100%;
    margin: 0.5rem;
    width: calc(100% - 1rem);
    border-bottom: none;
    outline: none;
    text-align: center;
    border-radius: 0.5rem;
    font-size: 7rem;
    color: var(--teal);
}
.email .ginput_container input:focus {
    border: 0.2rem solid var(--teal);
    border-bottom: 0.2rem solid var(--teal) !important;
}
.email .ginput_container {
    height: 15rem;
}
.email {
    display: none;
    width: 80%;
    height: 24rem;
    position: fixed;
    top: 35%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;
    border-radius: 1rem;
    background: white;
    overflow: hidden;
    z-index: 10000000;
    margin-top: 2rem;
}
.email-popup {
    display: none;
    background: rgba(0, 0, 0, 0.8);
    width: 100%;
    height: 100%;
    z-index: 1000000;
    position: absolute;
    top: 0;
}
.email-close {
    color: white;
    font-size: 3rem;
    position: absolute;
    top: 2%;
    right: 1%;
    cursor: pointer;
}
.email-close:hover {
    color: #d0d0d0;
}
.gform_button {
    display: none;
    background: var(--teal);
    color: white;
    border: none;
    margin: 0;
    font-size: 4rem;
    box-shadow: 0.5rem 0.5rem 0.5rem rgb(0 0 0 / 10%);
    position: fixed;
    z-index: 2147483647;
    height: 10rem;
    left: 50%;
    transform: translate(-50%, 25rem);
    width: 80%;
    border-radius: 1rem !important;
}

.email-button {
    background: var(--teal);
    color: white;
    text-decoration: none;
    font-size: 5rem;
    margin: 2rem auto;
    display: block;
    width: 80%;
    text-align: center;
    padding: 1.5rem;
    border-radius: 1rem;
    cursor: pointer;
}

/*Combined Results Section*/
.combined-results {
    width: calc(100% - 2rem);
    height: calc(100% - 2rem);
    z-index: 1;
    position: absolute;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
}
.combined-results .combined-output {
    margin: 0;
    height: 100%;
    width: 100%;
    overflow: hidden;
    position: absolute;
    z-index: -2;
    transition: all 1s cubic-bezier(0.85, 0, 0.15, 1);
    background-image: linear-gradient(120deg, transparent 0%, transparent 50%, var(--teal) 50%, var(--teal) 75%);
    background-size: 240%;
    margin-left: -100%;
    border-radius: 1rem;
}
.combined-results .combined-output label {
    color: var(--teal);
    display: block;
    width: 100%;
    font-size: 6rem;
    height: 14rem;
    line-height: 2.3333;
    text-align: center;
    padding: 0 1.5rem;
    font-family: racing sans one, sans-serif;
    transition: transform 1s cubic-bezier(0.85, 0, 0.15, 1), padding-right 0.25s ease-in-out, letter-spacing 0.25s ease-in-out, background 0.3s ease-in-out, color 0.3s ease-in-out;
}
.combined-results .combined-output .ginput_container {
    height: calc(100% - 14rem);
}
.combined-results .combined-output input {
    color: white;
    background: var(--teal);
    display: block;
    width: 100%;
    height: 100%;
    float: left;
    margin: 0;
    outline: none;
    font-size: 6rem !important;
    z-index: 10;
    position: relative;
    text-align: center;
    border-bottom: none;
    transition: transform 1s cubic-bezier(0.85, 0, 0.15, 1), background 0.3s ease-in-out, color 0.3s ease-in-out;
    opacity: 0;
}
.num-animation-span {
    position: absolute;
    bottom: 20%;
    left: 50%;
    transform: translateX(-50%);
    color: var(--teal);
    font-size: 15rem;
    transition: transform 1s cubic-bezier(0.85, 0, 0.15, 1);
}
.label-underline {
    height: 0.5rem !important;
    color: var(--teal);
    width: 0%;
    opacity: 1;
    position: absolute;
    top: 25%;
    left: 10%;
    transition: width 1s cubic-bezier(0.85, 0, 0.15, 1);
    margin-top: 2.5rem;
}
.combined-results .combined-output:hover label[style*="transform: unset;"] {
    background: white;
    color: var(--teal) !important;
}
.combined-results .combined-output:hover input {
    background: white;
    color: var(--teal) !important;
}
.thank-you {
    position: fixed;
    top: 28rem;
    left: 50%;
    transform: translateX(-50%);
    font-size: 10rem;
    color: var(--teal);
    background: white;
    padding: 2rem 4rem;
    border-radius: 1000px;
}

/*Media Queries*/
@media screen and (min-width: 1921px) {
    html {
        font-size: 75%;
    }
}
@media screen and (min-width: 2500px) {
    html {
        font-size: 81.25%;
    }
}
@media screen and (min-width: 3800px) {
    html {
        font-size: 137.5%;
    }
}
@media screen and (max-width: 1367px) {
    html {
        font-size: 50%;
    }
    .logo-img {
        margin-top: 1rem;
        max-width: 60%;
    }
    .container {
        margin-top: 1rem;
    }
}
@media screen and (max-width: 1100px) {
    html {
        font-size: 43.75%;
    }
    .combined-results .combined-output label {
        font-size: 5rem;
        line-height: 2.8;
    }
}
@media screen and (max-width: 700px) {
    html {
        font-size: 31.25%;
    }
}
@media screen and (max-width: 480px) {
    .container {
        margin-top: 5rem !important;
    }
    .inputs {
        width: 95% !important;
    }
    .tab-navigation {
        width: 95% !important;
    }
    .form-type-toggler {
        width: 95% !important;
    }
    .main-box {
        width: 95% !important;
    }
    .arrow {
        background: var(--teal);
        color: white;
        padding: 1rem;
        font-size: 3rem;
    }
    .next-arrow {
        right: 1%;
        transform: translateY(-50%);
    }
    .prev-arrow {
        left: 1%;
        transform: translateY(-50%);
    }
    .logo-img {
        max-width: 90%;
        margin-top: 5rem;
    }
}

.calc-input-container,
.calc-social-container,
.combined-outputs,
.calc-ppc-container,
.total-output-container {
    display: flex;
    justify-content: center;
    width: 75%;
    margin: 0 auto;
    flex-wrap: wrap;
}
#gform_7 .combined-outputs {
    flex-direction: row-reverse;
}
div.calc-social-container,
div.calc-ppc-container {
    width: 50%;
}

.calc-social-container .gfield:not(.input) input,
.calc-ppc-container .gfield:not(.input) input,
.total-output-container .gfield:not(.input) input {
    pointer-events: none;
    background: transparent;
}

#gform_fields_7 .combined-outputs .gfield:not(.input) label,
#gform_fields_7 .total-output-container .gfield:not(.input) label {
    background: white;
    width: 100%;
    padding: 5px 15px;
    border-radius: 5px;
    margin-left: 0;
}

#gform_fields_7 .calc-social-container .gfield:not(.input) label {
    color: #333;
}

#gform_fields_7 .calc-ppc-container .gfield:not(.input) label {
    color: var(--navy);
}

#gform_fields_7 .total-output-container .gfield label {
    color: #333;
}

#gform_fields_7 .blue.gfield {
    background: var(--teal);
    color: white !important;
}
#gform_fields_7 .blue.gfield input {
    color: var(--teal) !important;
}

#gform_fields_7 .green.gfield {
    background: var(--medium-teal);
    color: white !important;
}
#gform_fields_7 .green.gfield input {
    color: var(--navy) !important;
}

#gform_fields_7 .teal.gfield {
    background: var(--medium-teal);
    color: white !important;
}
#gform_fields_7 .teal.gfield input {
    color: #333 !important;
}

#gform_fields_7 .red.gfield {
    background: var(--teal);
    color: white !important;
}
#gform_fields_7 .red.gfield input {
    text-shadow: 0 0 1px black;
}

#gform_fields_7 .combined-outputs .gfield:not(.input) input,
#gform_fields_7 .total-output-container .gfield:not(.input) input {
    color: white !important;
    text-align: center;
    margin: 5px 0;
}

#gform_fields_7 .gfield {
    transition: all 0.1s ease-in-out;
}

#gform_fields_7 .gfield:hover {
    box-shadow: 1px 1px 5px rgb(255 255 255 / 30%);
}

.calc-input-container,
.combined-outputs {
    margin-bottom: 1rem;
}

.calc-input-container > div,
.calc-social-container > div,
.calc-ppc-container > div,
.total-output-container > div {
    margin-right: 1rem;
}
#gform_fields_7 {
    display: none;
}

.w-half {
    width: calc(50% - 1rem) !important;
}
.w-third {
    width: calc((100% / 3) - 1rem) !important;
}
.w-quarter {
    width: calc(25% - 1rem) !important;
}
#gform_fields_7 {
    font-family: canada-type-gibson, sans-serif;
}
#gform_fields_7 label {
    margin-left: 15px;
    font-weight: 400;
    font-size: 1vw !important;
    letter-spacing: 0.25px;
}

#gform_fields_7 input {
    font-size: 1.15vw;
    color: var(--teal);
    border-radius: 1000px;
    font-weight: 600;
    text-align: left;
    padding: 0.4vw 1vw;
    margin: 0.5vw;
    width: calc(100% - 1vw);
    margin-top: 0;
}

#gform_fields_7 .input.gfield {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 0 auto;
}
#gform_fields_7 .total-output-container .gfield input {
    font-size: 1.25vw;
    color: white !important;
}

body.page form,
body.page #content {
    margin-top: 0;
}

body.page {
    /* background-image: url(https://bmgcalc.thinkbig.marketing/dev/wp-content/uploads/2022/08/shutterstock_435604276.jpg) !important; */
    /* height: 101vh; */
    overflow: hidden;
    /* background-position: center bottom !important; */
}

#gform_fields_7 .total-output-container .gfield.blue label {
    color: #333;
}

body.page #content {
    margin-top: 4%;
}

body.page .container-fluid {
    max-width: 75%;
    margin-top: 6vw;
}

#gform_fields_7 .gfield {
    padding: 0.4vw;
    background: linear-gradient(45deg, #f2f3f2, #f9f9f8);
    margin-bottom: 10px;
    border-radius: 10px;
    box-shadow: 1px 1px 10px rgb(31 54 100 / 70%);
}

.total-output-container {
    overflow: hidden;
}

#field_7_73 {
    margin: 0 auto;
    margin-bottom: 5px;
}

#input_7_73 {
    font-size: 1.8vw !important;
}

@keyframes flipInVerticalShake {
    0% {
        transform: translate(-50%, -100%);
        opacity: 0;
    }
    20% {
        opacity: 1;
    }
    60% {
        transform: translate(-50%, 0%);
    }
    90% {
        transform: rotateX(-5deg) translate(-50%, 0%);
    }
    100% {
        transform: rotateX(0deg) translate(-50%, 0%);
    }
}

.FlipInVerticalShake {
    animation-duration: 1s;
    animation-name: flipInVerticalShake;
    animation-timing-function: cubic-bezier(0.34, 1.22, 0.64, 1);
    transform-style: preserve-3d;
}

#gform_fields_7 #field_7_73 label {
    font-size: 1.5vw;
    font-weight: 600;
}

#field_7_73 {
    position: fixed;
    /* top: 8%; */
    top: 12%;
    transform: translate(-50%, 0vw);
    left: calc(50% - 0.5vw);
    text-align: center;
    cursor: pointer;
    width: calc(75% - 1vw);
    border-radius: 0 0 10px 10px !important;
}
.social #field_7_73 {
    top: unset;
    bottom: 5%;
}
.ppc #field_7_73 {
    top: unset;
    bottom: 5%;
}

#input_7_73 {
    text-align: center !important;
}

.graphic {
    display: inline-block;
    width: 6vw;
    height: 6vw;
    position: absolute;
    bottom: -2vw;
    right: -2.5vw;
    z-index: 1;
}

.pass-form {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 50px;
    background: var(--teal);
    z-index: 100;
    border-radius: 10px;
    box-shadow: 1px 1px 10px #000;
    text-align: center;
}

.pass-form input {
    border: none;
    background-color: #fff;
    border-radius: 5px;
    color: var(--teal);
    font-weight: 600;
    letter-spacing: 1px;
}

.pass-form input[type="submit"] {
    padding: 3px 10px;
}

.pass-form * {
    color: white;
    font-family: "canada-type-gibson", sans-serif !important;
    font-weight: 100;
    font-size: 20px;
}

.pass-form form p:first-child {
    margin-bottom: 30px;
}

.w-full {
    width: 100% !important;
}

.partner-logos {
    width: 50%;
    margin: 0 auto;
    display: block;
    margin-top: 2vw;
    height: auto;
    max-height: 4vw;
    object-fit: contain;
}

#content .title-box {
    min-width: calc(100% - 1rem);
    background: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
    color: white;
    text-align: center;
    font-size: 2vw;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 1rem;
    padding: 1rem;
    margin-right: 0;
    max-height: 80px;
}

#content .title-box.ppc-title-box {
    background: var(--medium-teal);
}

#content .title-box.social-title-box {
    background: var(--medium-teal);
}

.title-box h3 {
    display: flex;
    align-items: center;
    font-weight: 600;
    font-family: "canada-type-gibson", sans-serif;
    justify-content: space-between;
    width: 100%;
    padding: 0 0.5rem;
}

#content .title-box i {
    font-size: 0.8em;
    margin-left: 1rem;
}

#content .title-box img {
    height: 1em;
    width: auto;
}

.nav {
    position: fixed;
    top: 50%;
    left: 1rem;
    transform: translateY(-50%);
    z-index: 10000;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    border: 10px outset white;
    overflow: hidden;
    flex-direction: column;
    box-shadow: 1px 1px 10px rgb(31 54 100 / 70%);
}

.nav a {
    display: flex;
    width: 8vw;
    justify-content: center;
    align-items: center;
    background: var(--teal);
    color: white;
    padding: 1rem;
    font-size: 1.2vw;
    text-decoration: none;
    font-weight: 600;
}

.nav a:nth-child(2) {
    border-top: 1px solid white;
    border-bottom: 1px solid white;
}

.page-id-24 .nav a:nth-child(1) {
    background: var(--medium-teal);
}
.page-id-230 .nav a:nth-child(2) {
    background: var(--medium-teal);
}
.page-id-227 .nav a:nth-child(3) {
    background: var(--medium-teal);
}

.ig-logo {
    margin-right: 1rem;
}

/*taking away monthly spend (w/ fees) result*/
div#field_7_65,
div#field_7_70 {
    display: none !important;
}

.slot-machine__decorations {
    display: none;
}

.hfc-conference-logo {
    position: absolute;
    top: 6%;
    right: 0.5%;
    /* width: 350px; */
    width: 13vw;
    height: auto;
    background: var(--navy);
    border-radius: 10px;
    border: 2px solid var(--light-teal);
    padding-top: 20px;
    animation: hfc-logo 6s infinite;
}

@keyframes hfc-logo {
    0% {
        rotate: 0deg;
    }
    25% {
        rotate: -10deg;
    }
    50% {
        rotate: 0deg;
    }
    75% {
        rotate: 10deg;
    }
    100% {
        rotate: 0deg;
    }
}

/*********************** SLOT MACHINE !!!! *****************************/

/*layout*/
.slot-machine-mode #gform_fields_7 .gfield {
    box-shadow: none !important;
    margin: 2px auto;
}
div#field_7_56,
div#field_7_75,
div#field_7_54,
div#field_7_59 {
    margin-bottom: 20px !important;
}

/*decorations*/
.slot-machine__decorations.slot-machine-mode {
    display: block;
}

.slot-machine__decorations .circle-text {
    width: fit-content;
    z-index: 101;
}
.slot-machine__decorations .circle-text span {
    display: inline-block;
    /* width: 120px; */
    width: 7vh;
    /* height: 75px; */
    height: 6vh;
    /* line-height: 72px; */
    line-height: 5.95vh;
    text-align: center;
    color: white;
    background: var(--teal);
    border: 3px solid white;
    border-radius: 50%;
    margin: 5px;
    /* font-size: 50px; */
    font-size: 3vh;
    font-family: madrone;
}

.slot-machine__decorations .slot-machine__top__rectangle {
    position: absolute;
    width: 66vw;
    height: 6vw;
    background: var(--medium-teal);
    border-radius: 10px;
    top: 5vh;
    z-index: 100;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    padding: 0 1rem;
}

.slot-machine__logo-background {
    background: var(--teal);
    border: 6px solid white;
    border-radius: 50%;
    height: 9vw;
    width: 14vw;
    display: flex;
    align-items: center;
    justify-content: center;
}
img.slot-machine__marlin-logo {
    height: 75%;
    filter: brightness(0) invert(1);
    width: auto;
}

.slot-machine__top__diamond {
    position: absolute;
    top: -2%;
    left: 50%;
    z-index: 100;
    height: auto;
    width: 430px;
    transform: translateX(-50%) rotate(90deg);
    display: none;
}
.slot-machine__top__diamond svg path {
    fill: var(--medium-teal);
}

.slot-machine-mode.header-img {
    z-index: 200;
    width: 380px;
    height: auto;
    position: absolute;
    left: 50%;
    transform: translate(-50%, 11rem);
    display: none;
    padding: 0;
}

.slot-machine__lightning-bolt {
    position: absolute;
    top: 72%;
    left: 1%;
    height: auto;
    width: 13vw;
    transform: rotate(5deg);
    animation: lightning-bolt 6s infinite;
}

@keyframes lightning-bolt {
    0% {
        rotate: 0deg;
        /* transform: scaleX(1) scaleY(1); */
    }
    25% {
        rotate: 10deg;
        /* transform: scaleX(-1); */
    }
    50% {
        rotate: 0deg;
        /* transform: scaleY(-1); */
    }
    75% {
        rotate: -10deg;
        /* transform: scaleX(1); */
    }
    100% {
        rotate: 0deg;
        /* transform: scaleY(1); */
    }
}

.slot-machine__lightning-bolt svg path {
    fill: #fdffc5;
}

.slot-machine__shapes .dollar-shape-icon {
    position: absolute;
    left: -1%;
    transform: rotate(-10deg);
    height: 40vh;
    width: auto;
    animation: flash 6s infinite;
}

@keyframes flash {
    0% {
        filter: none;
        rotate: 0deg;
    }
    /* 5% {
		filter: none;
		rotate: 0deg;
	} */
    50% {
        filter: brightness(0) invert(1);
        /* rotate: 180deg; */
    }
    100% {
        filter: none;
        rotate: 360deg;
    }
}

.slot-machine__fish {
    position: absolute;
    top: 80%;

    animation: fishie 10s infinite;
    transition: all 0.3s ease-in-out;
}
.slot-machine__fish svg {
    height: 18vh;
    width: auto;
}
.slot-machine__fish svg path {
    fill: var(--navy);
}

@keyframes fishie {
    0% {
        right: 16%;
    }
    25% {
        right: 11.5%;
    }
    40% {
        right: 14%;
    }
    50% {
        transform: scaleX(1);
    }
    75% {
        right: 2%;
    }
    85% {
        right: 20%;
    }
    90% {
        right: 20%;
        transform: scaleX(-1);
    }
    100% {
        right: 16%;
    }
}

.slot-machine-mode .graphic {
    display: none;
}

/*************confetti***********/
#rain-container {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -100;
    overflow: hidden;
    height: 100vh;
    width: 100vw;
}
#rain-container.active {
    z-index: 300;
}

#rain-container .rain__star,
#rain-container .rain__dollar-sign,
#rain-container .rain__octopus {
    position: absolute;
    transform: translateY(-175%);
    width: 30px; /* Adjust size as needed */
    height: auto;
    opacity: 0.8;
}
#rain-container.active .rain__star,
#rain-container.active .rain__dollar-sign,
#rain-container.active .rain__octopus {
    animation: fall 3s linear infinite;
}

#rain-container .rain__star svg {
    fill: #fdffc5;
}
#rain-container .rain__dollar-sign svg {
    fill: var(--navy);
}
#rain-container .rain__octopus svg {
    fill: var(--light-teal);
}

@keyframes fall {
    0% {
        transform: translateY(-175%);
        opacity: 1;
    }
    25% {
        opacity: 0.9;
    }
    50% {
        opacity: 0.8;
    }
    75% {
        opacity: 0.7;
    }
    100% {
        transform: translateY(100vh);
        opacity: 0;
    }
}

/**********sales transition********/
.transition-wrapper {
    display: none;
}
.slot-machine-mode.transition-wrapper {
    display: block;
}

.slot-machine-mode .transition-wrapper:not(.active) {
    position: absolute;
    top: 800%;
    opacity: 0;

    transition: all 0.8s ease;
}

.slot-machine-mode .transition-wrapper {
    position: absolute;
    top: 5%;
    left: 50%;
    opacity: 1;
    z-index: 30000;
    transform: translateX(-50%);
    height: 90vh;
    width: 90vw;
    background: #ffffffcc;
    border: 20px solid var(--teal);
    border-radius: 10px;
    transition: all 0.8s ease;
    display: flex;
    justify-content: center;
}

.transition-wrapper .transition__heading {
    position: absolute;

    font-size: 2.5vw;
    font-family: madrone;
    text-align: center;
    color: var(--white);
    background: var(--navy);
    padding: 2rem;
    border: 10px solid var(--medium-teal);
    border-radius: 10px;

    display: flex;
    justify-content: center;
    align-items: center;

    max-width: 90vw;
    flex-wrap: wrap;
}

.transition-wrapper .transition__heading--1 {
    top: 16vh;
}

.transition-wrapper .transition__heading--2 span {
    color: var(--navy);
    transition: all 0.1s ease;
}
.transition-wrapper .transition__heading--2 span.active {
    color: var(--white);
}

.transition-wrapper .transition__heading--2 {
    top: 33vh;
    max-width: 32vw;
    font-size: 4vw;
}

.transition__heading__space {
    width: 1vw;
}

/**************slot animation***********/
.total-profit-wrapper {
    display: none;
}
.slot-machine-mode.total-profit-wrapper {
    display: block;
}

.total-profit-wrapper__heading {
    position: absolute;
    top: 8vh;
    font-size: 2.5vw;
    font-family: madrone;
    text-align: center;
    color: var(--white);
    background: var(--navy);
    padding: 2rem;
    border-radius: 10px;

    display: flex;
    justify-content: center;
    align-items: center;

    max-width: 90vw;
    flex-wrap: wrap;
}
.total-profit-wrapper__heading span {
    display: inline-block;
    margin: 10px;
}
.total-profit-wrapper__heading span.heading-space {
    width: 2rem;
}
.total-profit-wrapper__heading span.animate-heading {
    animation: headingFlash 0.8s;
}

@keyframes headingFlash {
    0% {
        transform: rotateY(0deg);
    }
    100% {
        transform: rotateY(-360deg);
    }
}

button.total-profit__close {
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    gap: 10px;
    background: white;
    border: 2px solid var(--light-grey);
    padding: 5px;
}
.total-profit__close svg {
    width: 20px;
    height: 20px;
}
.total-profit__close svg path {
    fill: var(--teal);
}

.slot-machine-mode.total-profit-wrapper:not(.active) {
    position: absolute;
    top: 800%;
    opacity: 0;

    transition: all 0.8s ease;
}

.slot-machine-mode.total-profit-wrapper {
    position: absolute;
    top: 5%;
    left: 50%;
    opacity: 1;
    z-index: 30000;
    transform: translateX(-50%);
    height: 90vh;
    width: 90vw;
    background: #ffffffcc;
    border: 20px solid var(--teal);
    border-radius: 10px;
    transition: all 0.8s ease;
    display: flex;
    justify-content: center;
}

.slot-machine__line {
    opacity: 0;
    transition: opacity 0.5s 0.5s ease;
}
.slot-machine__line.active {
    position: absolute;
    top: 48%;
    left: 0;
    transform: translateY(-50%);
    z-index: 20000;
    width: 100%;
    height: 30px;
    border: 5px solid var(--light-grey);
    background: repeating-linear-gradient(45deg, #fff, #fff 10px, var(--light-teal) 10px, var(--light-teal) 20px);
    opacity: 1;
    transition: opacity 0.5s 0.5s ease;
}

.slot-machine-mode #root-container {
    top: 52vh;
    transform: translateY(-50%);
    display: flex;
    flex-wrap: nowrap;
    gap: 0;
    width: fit-content;
    justify-content: center;
    align-items: center;
    position: relative;
    height: 375px;
}

.slot-machine-mode .stage {
    /* width: 145px; */
    width: 6vw;
    height: 200px;
    position: relative;
    -webkit-perspective: 8000;
    transform: translateY(50px);
}
.slot-machine-mode .rotate {
    margin: 0 auto;
    width: 300px;
    height: 200px;
    -webkit-transform-style: preserve-3d;
}

.slot-machine-mode .ring {
    height: 100px;
    width: 90px;
    position: relative;
    /* -webkit-transform-style: preserve-3d;
	-webkit-animation-iteration-count: infinite;
	-webkit-animation-timing-function: linear; */
    transform-style: preserve-3d;
    animation: x-spin 1s linear infinite;
    transition: transform 2s cubic-bezier(0.22, 0.61, 0.36, 1); /* Smooth deceleration when stopping */
}
.ring__overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 375px;
    width: 100%;
    z-index: 100000000000;
    background: linear-gradient(0deg, rgba(85, 85, 85, 0.8) 0%, transparent 20%, transparent 80%, rgba(85, 85, 85, 0.8) 100%);
}
.slot-machine-mode .ring.stop {
    animation: none; /* Disable continuous spin */
    transition: transform 2s cubic-bezier(0.22, 0.61, 0.36, 1); /* Smooth stop */
}

.slot-machine-mode .stage:after {
    display: block;
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: -80px;
    bottom: 70px;
}
.slot-machine-mode .poster {
    background-color: var(--medium-teal);
    position: absolute;
    /* width: 145px; */
    width: 6vw;
    border: 2px solid white;
    /* height: 54px; */
    height: 100px;
    color: #fff;
    /* font-size: 100px; */
    font-size: 3.7vw;
    text-align: center;
    font-weight: bold;
    font-family: madrone;
    transition: all 0.5s ease;
    display: flex;
    justify-content: center;
    align-items: center;
}
.slot-machine-mode .stage .rotate .ring.stop .poster:nth-child(1) {
    color: var(--navy);
}
.slot-machine-mode .poster svg {
    width: 90%;
    height: auto;
    max-height: 80%;
    transform: translateY(-10px);
}
.slot-machine-mode .poster svg path {
    fill: #fff;
}

@-webkit-keyframes x-spin {
    0% {
        -webkit-transform: rotateX(360deg);
    }
    50% {
        -webkit-transform: rotateX(180deg);
    }
    100% {
        -webkit-transform: rotateX(0deg);
    }
}

/********************************************/

.gform-body.gform_body {
    position: relative;
    width: fit-content;
    margin: 0 auto;
}

/*lights*/
.chasing-lights:not(.slot-machine-mode) {
    display: none;
}

.chasing-lights {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    width: fit-content;
    height: fit-content;
    border-radius: 50%;
    position: absolute;
    z-index: 50;
}
.chasing-lights.chasing-lights-horizontal {
    flex-direction: row;
    width: calc(100% - 12px);
}
.chasing-lights.chasing-lights-vertical {
    flex-direction: column;
    height: calc(100% - 12px);
}

.chasing-lights--1 {
    top: 6px;
    left: 6px;
}
.chasing-lights--2 {
    top: 6px;
    left: 6px;
}
.chasing-lights--3 {
    bottom: 6px;
    left: 6px;
}
.chasing-lights--4 {
    top: 6px;
    right: 6px;
}

.light {
    width: 2.25vh;
    height: 2.25vh;
    background-color: #66fffa;
    border: 1.5px solid #fff;
    border-radius: 50%;
    animation: chase 1.2s infinite;
    position: relative;
}
.light::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle at 50% 50%, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    border-radius: 50%; /* Match the shape of the parent */
    pointer-events: none; /* Prevent interaction with the overlay */
}

.light:nth-child(n) {
    animation-delay: calc(0.1s * (var(--index, 0)));
}

@keyframes chase {
    0% {
        background-color: #66fffa;
    }
    50% {
        background-color: #fdffc5;
    }
    100% {
        background-color: #66fffa;
    }
}

/****************************************/

/*labels*/
.slot-machine-mode #gform_fields_7 label {
    text-align: center;
}

/*activator button*/
.nav__slot-machine {
    position: fixed;
    top: 70%;
    left: 1rem;
    transform: translateY(-50%);
    z-index: 10000;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 10px outset white;
    border-radius: 10px;
    overflow: hidden;
    flex-direction: column;
    box-shadow: 1px 1px 10px rgb(31 54 100 / 70%);
}
.nav__slot-machine button {
    display: flex;
    width: 8vw;
    justify-content: center;
    align-items: center;
    background: var(--teal);
    color: white;
    padding: 1rem;
    text-decoration: none;
    /* font-size: 22px; */
    font-size: 1.75vh;
    font-weight: 600;
    border: none;

    transition: all 0.3s ease;
}
.nav__slot-machine button:hover {
    background: white;
    color: var(--teal);

    transition: all 0.3s ease;
}

/*font-family: madrone;*/

body.page #content.slot-machine-mode {
    margin-top: 0;
}

.slot-machine-mode #gform_fields_7 {
    width: 70vw;
    margin: 0 auto;
    position: relative;
    padding: 1rem;
    background: var(--light-teal);
    border-radius: 20px;
    display: flex !important;
    flex-direction: column;
    margin-top: 10vh;
    padding-top: 11vh;
    padding-bottom: 2rem;
}

body.page .slot-machine-mode .container-fluid {
    margin-top: 1rem;
    order: -1;
    display: none;
}

/*MAIN INPUT CONTAINER:*/
.slot-machine-mode #gform_fields_7 .calc-input-container {
    position: relative;
}

.slot-machine-mode #gform_fields_7 .calc-input-container:before {
    content: "";
    position: absolute;
    top: 10px;
    left: 10px;
    right: 10px;
    bottom: 10px;
    border-radius: 10px;
    border: 5px dashed white;
    pointer-events: none;
    box-sizing: border-box;
}

.slot-machine-mode #gform_fields_7 .calc-input-container {
    background: var(--navy);
    border-radius: 20px;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    padding: 1rem;
    width: 95%;
    margin-bottom: 1rem;
}
.slot-machine-mode #gform_fields_7 .blue.gfield {
    flex: 0 0 31%;
    background: var(--teal);
    box-shadow: none;
    padding: 1rem 2rem;
    margin: 0 0 2rem;
}

#field_7_57,
#field_7_58,
#field_7_60 {
    margin-top: 20px !important;
}

.slot-machine-mode #gform_fields_7 .blue.gfield:hover {
    box-shadow: none;
}

/*COMBO PPC SOCIAL CONTAINER*/

.slot-machine-mode .total-output-container {
    gap: 2rem;
    justify-content: space-between;
    width: 96%;
}

.slot-machine-mode #gform_fields_7 .total-output-container .blue.gfield {
    flex: 0 0 30%;
}

.slot-machine-mode #gform_7 .combined-outputs {
    width: 96%;
    justify-content: space-between;
    padding: 0;
    gap: 1rem;
    margin-bottom: 0;
}

.slot-machine-mode #gform_7 .combined-outputs .calc-social-container,
.slot-machine-mode #gform_7 .combined-outputs .calc-ppc-container {
    flex: 0 0 49%;
    position: relative;
    margin: 0;
}

.slot-machine-mode .container.social #gform_7 .combined-outputs .calc-social-container {
    flex: 0 0 100%;
}
.slot-machine-mode .container.ppc #gform_7 .combined-outputs .calc-ppc-container {
    flex: 0 0 100%;
}

.slot-machine-mode .calc-social-container,
.slot-machine-mode .calc-ppc-container {
    background: var(--navy);
    padding: 1rem;
    border-radius: 10px;
}

/* .slot-machine-mode .calc-ppc-container:before,
.slot-machine-mode .calc-social-container:before {
	content: "";
	position: absolute;
	top: -8px;
	left: -8px;
	right: -8px;
	bottom: -8px;
	border-radius: 10px;
	border: 5px dashed var(--navy);
	pointer-events: none;
	box-sizing: border-box;
} */

/*output*/
.slot-machine-mode .FlipInVerticalShake {
    animation-duration: none;
    animation-name: none;
    animation-timing-function: none;
}
.slot-machine-mode #gform_fields_7 .red.gfield {
    flex: 0 0 36%;
    margin: 0 0 2rem !important;
    min-height: 100%;
    box-shadow: none;
}
.slot-machine-mode #field_7_73 {
    background: var(--medium-teal);
    color: white !important;
    flex: 0 0 50%;
    position: relative;
    top: unset;
    left: unset;
    width: unset;
    border-radius: 10px !important;
    transform: none;
}

/*LEVER:*/
.spinner-lever {
    position: absolute;
    top: 30%;
    margin: auto;
    left: 90.5%;
    border: 10px outset white;
    border-radius: 10px;
    background-color: var(--light-grey);
    /* width: 125px; */
    width: 5vw;
    /* height: 500px; */
    height: 19.5vw;
}

.spinner-lever::before,
.spinner-lever::after {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    border-radius: 5px;
}

.spinner-lever::before {
    top: 0;
    bottom: 0;
    background-color: var(--dark-grey);
    height: 80%;
    /* width: 45px; */
    width: 1.75vw;
}

.spinner-lever::after {
    top: 0;
    bottom: 0;
    margin: auto;
    height: 37%;
    /* width: 35px; */
    width: 1.25vw;
    background-color: var(--light-grey);
    transform: translateY(-25%);
    backface-visibility: hidden;
}

/*RESET BUTTON*/
.reset {
    position: absolute;
    top: 70%;
    margin: auto;
    left: 90%;
    border-radius: 10px;
    border: 10px outset white;
}

.reset-btn {
    display: flex;
    width: 5vw;
    justify-content: center;
    align-items: center;
    background: var(--teal);
    color: white;
    padding: 1rem;
    /* font-size: 18px; */
    font-size: 1.25vh;
    text-decoration: none;
    font-weight: 600;
    border: none;
    transition: all 0.3s ease;
}
.reset-btn:hover {
    background: white;
    color: var(--teal);

    transition: all 0.3s ease;
}

@keyframes movePole {
    0%,
    100% {
        transform: translateY(-25%);
        height: 37%;
    }
    5%,
    50% {
        height: 10%;
    }
    10% {
        transform: translateY(50%);
        height: 37%;
    }
    15% {
        height: 37%;
    }
}
@keyframes moveLever {
    0%,
    100% {
        transform: translateY(0%);
    }
    10% {
        transform: translateY(375%);
    }
}

.spinner-lever-button {
    text-indent: -9999px;
    position: absolute;
    border: 0;
    background: transparent;
    padding: 0;
    /* width: 70px; */
    width: 2.75vw;
    /* height: 70px; */
    height: 2.75vw;
    background: radial-gradient(circle at 30% 30%, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 1) 5%, rgba(28, 154, 166, 1) 60%);
    border-radius: 100%;
    cursor: pointer;
    top: calc(25% - 0.9vw);
    left: 0;
    right: 0;
    margin: auto;
    z-index: 1;
}

.spinner-lever.is-spinning::after {
    animation: movePole 3000ms ease-in-out;
}

.spinner-lever.is-spinning .spinner-lever-button {
    animation: moveLever 3000ms ease-in-out;
}

/*HALF SCREEN*/
@media (max-width: 1050px) {
    #field_7_73 {
        top: unset;
        bottom: 3%;
        width: fit-content;
    }
    #input_7_73 {
        font-size: 30px !important;
    }
    .calc-input-container,
    .calc-social-container,
    .combined-outputs,
    .calc-ppc-container,
    .total-output-container {
        width: 70%;
    }

    .reset-btn {
        font-size: 1vh;
    }

    .header-img {
        transform: translate(-50%, 2rem);
    }

    .combined-outputs {
        margin: 0 auto 0;
    }

    /*singel pages*/
    .social #field_7_73 {
        top: unset;
        bottom: 9%;
    }
    .ppc #field_7_73 {
        top: unset;
        bottom: 9%;
    }
    #gform_fields_7 .input.gfield {
        padding: 10px;
    }
    #gform_fields_7 label {
        text-align: center;
        font-size: 1.5vw !important;
        margin: 5px 0 10px;
    }
}
